package gov.va.med.esr.service.external.person;

import java.util.Date;
import gov.va.med.esr.service.external.ExternalComponent;
import gov.va.med.esr.service.external.person.collections.IvmLetterStatusCollection;

/**
 * ES 4.0_CodeCR12863
 * 
 * @author DNS   ruizc
 *
 */
public class IvmLetterCandidateInfo extends ExternalComponent {

	/**
	 * 
	 */
	private static final long serialVersionUID = 852659354234541938L;

	private String vpid = null;
	private String ivmCaseNumber = null;
	private String ivmLetterCode = null;
	private Date ivmLetterMailedDate = null;
	private IvmLetterStatusCollection ivmLetterStatuses = null;
	
	public String getVpid() {
		return vpid;
	}
	public void setVpid(String vpid) {
		this.vpid = vpid;
	}
	public String getIvmCaseNumber() {
		return ivmCaseNumber;
	}
	public void setIvmCaseNumber(String ivmCaseNumber) {
		this.ivmCaseNumber = ivmCaseNumber;
	}
	public String getIvmLetterCode() {
		return ivmLetterCode;
	}
	public void setIvmLetterCode(String ivmLetterCode) {
		this.ivmLetterCode = ivmLetterCode;
	}
	public Date getIvmLetterMailedDate() {
		return ivmLetterMailedDate;
	}
	public void setIvmLetterMailedDate(Date ivmLetterMailedDate) {
		this.ivmLetterMailedDate = ivmLetterMailedDate;
	}
	public IvmLetterStatusCollection getIvmLetterStatuses() {
		return ivmLetterStatuses;
	}
	public void setIvmLetterStatuses(IvmLetterStatusCollection ivmLetterStatuses) {
		this.ivmLetterStatuses = ivmLetterStatuses;
	}


}
